Subject: Re: Article submission-TAMIYA Skyray (1:48)
From: "Steve Bamford" <[email-masked]>
To: "Ewart Yong" <[email-masked]>
Date: Mon, 19 Aug 2002 16:32:57 -0700

Article submission-TAMIYA Skyray (1:48)
Steve Bamford
Aircraft Resource Center
http://www.aircraftresourcecenter.com

Live like there is no tomorrow;
Love like you have never been hurt; and
Dance like no one is watching!

  ----- Original Message ----- 
  From: Ewart Yong 
  To: [email-masked] 
  Sent: Thursday, August 01, 2002 12:42 AM
  Subject: Article submission-TAMIYA Skyray (1:48)

  Hi Steve: 

  Here are some photos of Tamiya's excellent 1:48 scale Skyray.  The model is built straight out of the box with the pilot figure added to hide the somewhat sparse cockpit detailing.  The model was airbrushed with Testors Modelmaster Light Gull Gray and Insignia White.  Panel lines were accentuated with a black/brown water color wash with a few drops of liquid detergent.  Weathering was done with pastel chalks.  This is my first submission to ARC, although I have submitted three full-build reviews to Modeling Madness website already.

  <> <> 

  About myself: 
  I am a thirty-five year old Operations Manager working in a repair and overhaul facility dealing mainly with aircraft landing gears and other aircraft components.  I am happily married to my wife (five years now) and have a lovely daughter of 17 months.  I was born and raised in Singapore and have been interested in aviation since I was a toddler.  To the best of my recollection, my first model was an Airfix dH Comet Racer which my mom bought and built for me way back in the early seventies.  Ever since, I was hooked.  The last Christmas, I built a Comet Racer for my mom and an Airfix P1127 for my dad (has always been his favorite aircraft), suitably presented in an acrylic showcase which I specially fabricated.  These models now adorn the wall in their living room.

  Anyway, back to my interest.  Ever since my early encounter with plastic modeling, I have been building almost any subject; planes, tanks, ships and cars.  My sole interest then was just to assemble the pieces of plastic (without painting or filling seams of course).  When I was about ten or so, photographs of assembled and painted models in the Airfix catalogues really pricked my interest.  I bought several tins of Airfix paints and brush painted my first model, an Airfix MIG-15.   Things picked up from there and I was soon airbrushing my models.  Also my modeling subjects narrowed to aircraft.  Since my early twenties till date, I model mainly pre-war, WW2 and post-war aircraft in 1:48 scale.   

  I am currently working on Airfix's 1:48 scale Buccaneer with Neomega's cockpit set and Flightpath's etched detail set and hope that I will be able to feature this soon.

  My other interests include running, working out in the gym, playing squash, playing the guitar and reading. 

  Sorry I do not have a photo of myself, will try to send one soon. 

  Warm regards 
  Ewart Yong